View Issue Details

IDProjectCategoryView StatusLast Update
0020244MMW 5Main Panelpublic2023-12-04 13:14
Reporterlowlander Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.1 
Target Version5.2Fixed in Version5.1 
Summary0020244: Multiple spaces not show in Filelisting
DescriptionWhen you have multiple spaces in a tag, it isn't shown as such in the Filelisting. In-line edit does show it.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?t=104960
TagsNo tags attached.
Fixed in build2826

Relationships

related to 0020307 closedLudek Title can take up 2 rows in Playing [Regression] 
related to 0020405 closedLudek Ellipsis are not shown on fields like title/album [regression 2816] 

Activities

Ludek

2023-09-19 15:22

developer   ~0072822

Last edited: 2023-09-19 15:42

Hmm, this seems a standard for HTML5, also in Mantis adding a note with extra spaces => the spaces are reduced after edit and shown again in the edit mode..

More at https://stackoverflow.com/questions/433493/why-does-html-require-that-multiple-spaces-show-up-as-a-single-space-in-the-brow

So far I haven't found how to workaround this :-/

EDIT: OK, it seems that style White-space : break-spaces; does the trick

Ludek

2023-09-19 16:19

developer   ~0072823

Fixed in 5.1.0.2816

lowlander

2023-09-21 22:12

developer   ~0072849

This is not fixed on 2816.
image.png (20,193 bytes)   
image.png (20,193 bytes)   

Ludek

2023-09-22 13:18

developer   ~0072855

It is fixed for me:
What kind of tracklist did you test?
image-2.png (20,765 bytes)   
image-2.png (20,765 bytes)   

Ludek

2023-09-22 13:24

developer   ~0072856

Hmm, also standard tracklist is fine:
image-3.png (24,208 bytes)   
image-3.png (24,208 bytes)   

Ludek

2023-09-22 13:39

developer   ~0072857

OK, I found that it has been still case in Playing and Album view
=> Fixed in 2817

peke

2023-10-14 21:01

developer   ~0073119

Verified 2819

Ludek

2023-11-21 20:48

developer   ~0073592

I had to revert this fix as it caused regression 0020405

Ludek

2023-11-21 20:58

developer   ~0073595

Re-fixed in 2825

lowlander

2023-11-24 18:02

developer   ~0073631

This is still the case in Playing node set to List and List (by Album) View, the Playing window set to Simplified List and List.
image-4.png (30,495 bytes)   
image-4.png (30,495 bytes)   

Ludek

2023-11-27 13:25

developer   ~0073662

For 'Playing' fixed in 2826

lowlander

2023-12-01 17:54

developer   ~0073690

Still not fixed on 2826. Checked Playing set to List and a Playlist set to List and neither showed additional spaces.
image-5.png (27,106 bytes)   
image-5.png (27,106 bytes)   

Ludek

2023-12-04 13:13

developer   ~0073710

Strange, both Playing[List] and Playlist[List] works fine to show the additional spaces, couldn't this be a test error? If not, could you catch this in a screencast video?